Summary:		MIME type data files for MATE desktop
Name:			mate-mime-data
Version:		1.4.0
Release:		10%{?dist}
URL:			http://mate-desktop.org
Source0:		http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
				# No license attribution, just COPYING.
License:		GPLv2+
Group:			System Environment/Libraries
BuildArch:		noarch
BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	intltool

# Fedora specific patches, openoffice to libreoffice, etc
Patch0: mate-mime-data-1.4.0-libreoffice.patch
Patch1: mate-mime-data-1.4.0-rpminstall.patch
Patch3: mate-mime-data-1.4.0-default-applications.patch

%description
mate-mime-data provides the file type recognition data files for mate-vfs

%package devel
Summary: Support for developing mime-data
License: GPLv2+
Group: Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains development libraries and headers
for the %{name} package.

%prep
%setup -q
%patch0 -p1 -b .libreoffice
%patch1 -p1 -b .rpminstall
%patch3 -p1 -b .default-applications

NOCONFIGURE=1 ./autogen.sh

%build

%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/mate-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime

%files devel
%{_datadir}/pkgconfig/mate-mime-data-2.0.pc

%changelog
* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-10
- Bump release version for repush

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- remove BuildArch: noarch

* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix patch name under %%prep
- fix -devel description
- fix requires in -devel package
- remove AUTHORS COPYING ChangeLog README from -devel

* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove %%defattr
- correct licence information
- drop NEWS because it is empty
- create -devel subpackage
 
* Thu Aug 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-file-manager.spec based on gnome-mime-data-2.18.0-8.fc15 spec

